#include "xstreamdelayinfo.h"

XStreamDelayInfo::XStreamDelayInfo()
    : XAsset()
    , mPtr(0)
    , mSize(0)
{
    SetName("Stream Delay Info");
}

XStreamDelayInfo::~XStreamDelayInfo()
{
    
}

void XStreamDelayInfo::Clear()
{
    mPtr = nullptr;
    mSize = 0;
}

void XStreamDelayInfo::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XStreamDelayInfo::ParseData
}
